[package]
name = "hg-cpython"
version = "0.1.0"
authors = ["Georges Racinet <gracinet@anybox.fr>"]
edition = "2018"

[lib]
name='rusthg'
crate-type = ["cdylib"]

[features]
default = ["python3"]

# Features to build an extension module:
python27 = ["cpython/python27-sys", "cpython/extension-module-2-7"]
python3 = ["cpython/python3-sys", "cpython/extension-module"]

# Enable one of these features to build a test executable linked to libpython:
# e.g. cargo test --no-default-features --features python27-bin
python27-bin = ["cpython/python27-sys"]
python3-bin = ["cpython/python3-sys"]

[dependencies]
cpython = { version = "0.7.0", default-features = false }
crossbeam-channel = "0.4"
hg-core = { path = "../hg-core"}
libc = "0.2"
log = "0.4.8"
env_logger = "0.7.1"
stable_deref_trait = "1.2.0"
